import { L as LogLevel, b as LogHandler } from './log-fbd6b897';

declare function supportsColors(): boolean;
declare function selectColor(namespace: string): string;

/** @deprecated */
declare function LoggerBrowserClassicHandler(level?: LogLevel, opt?: {
    colors: boolean;
    levelHelper: boolean;
    nameBrackets: boolean;
}): LogHandler;

declare function isLocalHost(hostname?: string): boolean;

declare function gravatarURLByEmail(email: string, defaultURL?: string): string;

declare function urlBase64ToUint8Array(base64String: string): Uint8Array | undefined;

export { LoggerBrowserClassicHandler as L, selectColor as a, gravatarURLByEmail as g, isLocalHost as i, supportsColors as s, urlBase64ToUint8Array as u };
